Skip to content

Lead Statuses List

Retrieves the list of lead statuses in Liner. If successful, returns all lead statuses.

Note

Pagination is not implemented — the full list of lead statuses is returned.


Endpoint and Method

GET /v2/lead-status/


Request Example

curl -X GET "https://YOUR_LINER_API_HOST/v2/lead-statuses/" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_TOKEN"
<?php

$host = 'https://YOUR_LINER_API_HOST';
$token = 'YOUR_API_TOKEN';

$ch = curl_init($host . '/v2/lead-statuses/');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
        'X-Api-Key: ' . $token,
    ],
    CURLOPT_TIMEOUT => 15,
]);

$response = curl_exec($ch);
$httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);

if ($response === false) {
    throw new RuntimeException('cURL error: ' . curl_error($ch));
}

curl_close($ch);

echo "HTTP {$httpCode}\n";
echo $response;
const host = "https://YOUR_LINER_API_HOST";
const token = "YOUR_API_TOKEN";

const res = await fetch(`${host}/v2/lead-statuses/`, {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "X-Api-Key": token
  }
});

const data = await res.json();
console.log("HTTP", res.status, data);

Response Example

{
  "success": true,
  "message": "",
  "data": [
    {
      "id": 123,
      "code": "in-progress",
      "title": "In progress",
      "category": "in-progress",
      "sort": 10,
      "color": "#3498db",
      "isSystem": false
    }
  ]
}

Response Fields

Field Type Description
id int Status identifier.
code string Status code.
title string Status title.
category string Status category. Available vlues: 'in-progress','qualified','disqualified'
sort int Sort order.
color string Status color.
isSystem boolean Whether the status is system.

Note

The structure of the data field is described above. For the overall API response format, see Request Schema